Uploaded image for project: 'PUBLIC - Liferay Portal Community Edition'
  1. PUBLIC - Liferay Portal Community Edition
  2. LPS-104847

Recently built modules are failing to start up on latest release bundles

    Details

    • Type: Bug
    • Status: Verified
    • Resolution: Unresolved
    • Affects Version/s: 7.2.10.1 DXP SP1, 7.2.1 CE GA2
    • Fix Version/s: None
    • Labels:
      None
    • Fix Priority:
      5

      Description

      Summary: Modules that were changed in this commit AND also built after this commit are failing to start up when deployed on the latest released bundle (i.e. DXP SP1 / FP3, CE GA2): https://github.com/liferay/liferay-portal-ee/commit/f0f6bc1e4e36e4c4ad38ea5683aee97400005a58

      Steps to reproduce:

      1. Compile a module on or after f0f6bc1e4e36e4c4ad38ea5683aee97400005a58
      2. Deploy on Liferay DXP SP1 + FP3 / CE GA2

      Result: Unresolved requirement startup errors. Some examples:

      Deploying Elasticsearch 7 built at 0b5396212496c4648c6dda022916cf3bce6c1755 on DXP SP1 + FP3:

      org.osgi.framework.BundleException: Could not resolve module: com.liferay.portal.search.elasticsearch7.impl [1083]_  Unresolved requirement: Import-Package: com.liferay.portal.kernel.service; version="[2.5.0,3.0.0)"
      

      Deploying Elasticsearch 7 built at 0b5396212496c4648c6dda022916cf3bce6c1755 on CE GA2:

      org.osgi.framework.BundleException: Could not resolve module: com.liferay.portal.search.elasticsearch7.impl [1064]_  Unresolved requirement: Import-Package: com.liferay.portal.kernel.util; version="[9.14.0,10.0.0)"
      

        Attachments

          Issue Links

            Activity

              People

              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Days since last comment:
                  29 weeks, 1 day ago

                  Packages

                  Version Package